package J20250715.stringbuider;

import java.util.Arrays;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo03
 * @description
 * @create 2025/7/15
 */
public class Demo03 {


    /**
     * 把int类型数组转换为字符串
     *
     * @param arr int类型数组
     * @return 字符串
     */
    public String arrayToString(int[] arr) {
        //创建StringBuilder对象，并且添加开头的[
        StringBuilder sb = new StringBuilder("[");
        for (int i = 0; i < arr.length; i++) {
            if (i == arr.length - 1) {
                sb.append(arr[i]);
            } else {
                //sb.append(arr[i]);
                //sb.append(",");
                sb.append(arr[i]).append(",");
            }
        }
        //最后追加结尾的]
        sb.append("]");
        //转换为字符串返回给调用者
        return sb.toString();
    }

    public static void main(String[] args) {
        int[] arr = {1, 2, 3, 4, 5, 6, 7, 8, 9};
        Demo03 d3 = new Demo03();
        String s = d3.arrayToString(arr);
        System.out.println(s);
        Arrays.toString(arr);
    }
}
